summarylogtreecommitdiffstats
path: root/phpmd.install
diff options
context:
space:
mode:
Diffstat (limited to 'phpmd.install')
-rw-r--r--phpmd.install12
1 files changed, 12 insertions, 0 deletions
diff --git a/phpmd.install b/phpmd.install
new file mode 100644
index 00000000000..72360306f81
--- /dev/null
+++ b/phpmd.install
@@ -0,0 +1,12 @@
+post_install() {
+ if ! /usr/bin/php -i | grep Phar >/dev/null; then
+ echo
+ echo "the Phar extension of php must be enabled."
+ echo
+ echo "check if the line extension=phar.so is commented out in your php.ini"
+ echo
+ fi
+}
+post_upgrade() {
+ post_install
+} \ No newline at end of file